#include <bits/stdc++.h>
using namespace std;

int main()
{
 ifstream f1("DCONMAX.INP");
 ofstream f2("DCONMAX.OUT");
   int n,i,m,s=0;
   f1>>n;
   int a[n+1];

for (i=1;i<=n;i++)
   {
       f1>>a[i];
   }
int mx=a[1];
for (m=1;m<=n;m++)
{for (i=m;i<=n;i++)
    {
        s=s+a[i];
        if (s>mx)
        {
            mx=s;
        }
    }s=0;
}
f2<<mx;
   return 0;
}
